=== debian/changelog ===
hwloc (2.9.3-2) unstable; urgency=medium

  * control, rules: Add pkg.hwloc.minimum and nodoc build profiles to ease
    bootstrapping ports with openmpi used by boost etc.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Nov 2023 20:10:42 +0100

hwloc (2.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Sep 2023 20:28:47 +0200
