## hwloc 2.10.0

=== debian/changelog ===
hwloc (2.10.0-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:51:27 +0200

hwloc (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Disable gather topology test on hppa.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Dec 2023 13:32:39 +0100

hwloc (2.10.0~rc2-1) experimental; urgency=medium

  * New upstream RC release.
    - patches/smbios-big-endian: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Nov 2023 14:11:22 +0100

hwloc (2.10.0~rc1-2) experimental; urgency=medium

  * patches/smbios-big-endian: Fix smbios on big-endian architectures.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Nov 2023 13:08:47 +0100

hwloc (2.10.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - debian/tests-patches/use_system_hwloc: Refrsh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 21 Nov 2023 15:16:41 +0100
