=== debian/control ===
Source: hwloc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), dh-exec,
  libltdl-dev [!gnu-any-any] <!pkg.hwloc.minimum>,
  valgrind-if-available <!pkg.hwloc.minimum>,
  libcairo2-dev <!pkg.hwloc.minimum>, libx11-dev <!pkg.hwloc.minimum>,
  libxml2-dev <!pkg.hwloc.minimum>, libxml2-utils <!nocheck !pkg.hwloc.minimum>,
  libncurses-dev <!pkg.hwloc.minimum>,
  libnuma-dev [linux-any] <!nocheck !pkg.hwloc.minimum>,
  libxnvctrl-dev <!pkg.hwloc.minimum>,
  libpciaccess-dev <!pkg.hwloc.minimum>, libudev-dev [linux-any] <!pkg.hwloc.minimum>,
  pkg-config,
  ocl-icd-opencl-dev [!hurd-any] <!pkg.hwloc.minimum> | opencl-dev <!pkg.hwloc.minimum>, opencl-headers <!pkg.hwloc.minimum>,
  autoconf (>= 2.63),
# w3m, if we ever need to update README
  dpkg-dev (>= 1.16)
Build-Depends-Indep: doxygen-latex <!nodoc>, transfig <!nodoc>
Build-Conflicts: autoconf2.13
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: libs
Homepage: https://www.open-mpi.org/projects/hwloc/
Vcs-Git: https://salsa.debian.org/debian/hwloc.git
Vcs-Browser: https://salsa.debian.org/debian/hwloc

Package: hwloc
Section: admin
Architecture: any
Build-Profiles: <!pkg.hwloc.minimum>
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hierarchical view of the machine - utilities
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 hwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 hwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains utilities to show the topology of the machine (lstopo and
 hwloc-ls), manipulate cpu masks (hwloc-calc), and bind processes (hwloc-bind).

Package: hwloc-nox
Section: admin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: hwloc
Description: Hierarchical view of the machine - non-X version of utilities
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 hwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 hwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains utilities to show the topology of the machine (lstopo
 and hwloc-ls, without X support), manipulate cpu masks (hwloc-calc), and bind
 processes (hwloc-bind).

Package: libhwloc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libhwloc15 (= ${binary:Version}), libnuma-dev [linux-any], libltdl-dev
Description: Hierarchical view of the machine - static libs and headers
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains static libraries and development headers.

Package: libhwloc15
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libhwloc-plugins
Breaks: libhwloc-plugins (<< 1.10~), libhwloc-contrib-plugins (<< 1.10~)
Suggests: libhwloc-contrib-plugins [amd64]
Description: Hierarchical view of the machine - shared libs
 libhwloc provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains shared libraries.

Package: libhwloc-plugins
Architecture: any
Multi-Arch: same
Build-Profiles: <!pkg.hwloc.minimum>
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc15 (>= ${source:Upstream-Version}~), libhwloc15 (<< ${source:Upstream-Version}A)
Breaks: libhwloc-contrib-plugins (<< 2.1.0+dfsg-3~)
Replaces: libhwloc-contrib-plugins (<< 2.1.0+dfsg-3~)
Description: Hierarchical view of the machine - plugins
 libhwloc provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains plugins to add more discovery support. This includes
  - PCI support
  - libxml support

Package: libhwloc-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Hierarchical view of the machine - common files
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains the XML DTD of the lstopo XML output.

Package: libhwloc-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: Hierarchical view of the machine - documentation
 Hardware Locality (hwloc) provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains documentation.
