=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,14 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -V
 
+NOTEST = HWLOC_TEST_DONTCHECK_PROC_CPULOCATION=1
+
+# Keep this while hppa's buildd is using qemu-user and
+# https://gitlab.com/qemu-project/qemu/-/issues/2004 happens there
+ifeq ($(DEB_HOST_ARCH_CPU),hppa)
+NOTEST += HWLOC_TEST_GATHER_TOPOLOGY=0
+endif
+
 override_dh_auto_test:
-	HWLOC_TEST_DONTCHECK_PROC_CPULOCATION=1 dh_auto_test -- -k || \
+	$(NOTEST) dh_auto_test -- -k || \
 		( cat $$(find . -name \*.log) ; false )
