## hwloc 2.11.0

=== debian/changelog ===
hwloc (2.11.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2024 18:38:30 +0200

hwloc (2.11.0-2) unstable; urgency=medium

  * patches/bash-completion: Fix bash completion syntax error.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Jul 2024 08:15:39 +0200

hwloc (2.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Jun 2024 21:56:11 +0200

hwloc (2.11.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * watch: Track 2.11.
  * control: Replace pkg-config build-dep with pkgconf.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Jun 2024 14:56:52 +0200
