## hwloc 2.11.2

=== debian/changelog ===
hwloc (2.11.2-1build1) plucky; urgency=medium

  * No change rebuild against libxml 2.12.7+dfsg+really2.9.14-0.2build1
    (LP: #2089307).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 05 Dec 2024 10:55:26 +1300

hwloc (2.11.2-1) unstable; urgency=medium

  * New upstream release.
    - patches/bash-completion: Upstreamed.
  * tests/tests: Always unpatch on exit.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Sep 2024 16:58:41 +0200
