=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   libnuma-dev [linux-any] <!nocheck !pkg.hwloc.minimum>,
   libxnvctrl-dev <!pkg.hwloc.minimum>,
   libpciaccess-dev <!pkg.hwloc.minimum>, libudev-dev [linux-any] <!pkg.hwloc.minimum>,
-  pkg-config,
+  pkgconf,
   ocl-icd-opencl-dev [!hurd-any] <!pkg.hwloc.minimum> | opencl-dev <!pkg.hwloc.minimum>, opencl-headers <!pkg.hwloc.minimum>,
   autoconf (>= 2.63),
 # w3m, if we ever need to update README
