## hwloc 2.12.0

=== contrib/windows-cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.15)
 project(hwloc
     LANGUAGES C
-    VERSION 2.9.3)
+    VERSION 2.12.0)
 
 enable_testing()
 
@@ -245,5 +245,5 @@
 # Testing
 
 if(HWLOC_ENABLE_TESTING)
-    add_subdirectory(${TOPDIR}/tests/hwloc ${CMAKE_CURRENT_BINARY_DIR}/tests/hwloc)
-endif()
+    add_subdirectory(tests ${CMAKE_CURRENT_BINARY_DIR}/tests)
+endif()
