## hwloc 2.12.2

=== debian/changelog ===
hwloc (2.12.2-1~bpo13+1) trixie-backports; urgency=medium

  * Backport to trixie.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Aug 2025 15:38:23 +0200

hwloc (2.12.2-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Aug 2025 18:43:54 +0200

hwloc (2.12.2~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Aug 2025 22:23:09 +0200

hwloc (2.12.1-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 12 May 2025 11:30:01 +0200

hwloc (2.12.1~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - patches/fix-test-several-levels-same-type: Upstreamed.
    - patches/work_around_legacy_max_proc_being_0: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 May 2025 15:38:37 +0200
