=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hwloc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-exec,
+Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-exec,
   libltdl-dev [!gnu-any-any] <!pkg.hwloc.minimum>,
   valgrind-if-available <!pkg.hwloc.minimum>,
   libcairo2-dev <!pkg.hwloc.minimum>, libx11-dev <!pkg.hwloc.minimum>,
@@ -10,6 +9,9 @@
   libncurses-dev <!pkg.hwloc.minimum>,
   libnuma-dev [linux-any] <!nocheck !pkg.hwloc.minimum>,
   libxnvctrl-dev <!pkg.hwloc.minimum>,
+#  librocm-smi-dev [linux-any] <!pkg.hwloc.minimum>,
+  libze-dev [amd64] <!pkg.hwloc.minimum>,
+  libibverbs-dev [linux-any] <!pkg.hwloc.minimum>,
   libpciaccess-dev <!pkg.hwloc.minimum>, libudev-dev [linux-any] <!pkg.hwloc.minimum>,
   pkgconf,
   ocl-icd-opencl-dev [!hurd-any] <!pkg.hwloc.minimum> | opencl-dev <!pkg.hwloc.minimum>, opencl-headers <!pkg.hwloc.minimum>,
@@ -19,7 +21,7 @@
 Build-Depends-Indep: doxygen-latex <!nodoc>, transfig <!nodoc>
 Build-Conflicts: autoconf2.13
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://www.open-mpi.org/projects/hwloc/
 Vcs-Git: https://salsa.debian.org/debian/hwloc.git
