=== debian/changelog ===
hwloc (2.13.0~rc1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Sep 2025 21:55:08 +0200
