=== debian/changelog ===
hwloc (2.13.0-2~bpo13+1) trixie-backports; urgency=medium

  * Backport to trixie.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Feb 2026 11:07:10 +0100

hwloc (2.13.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Feb 2026 23:40:38 +0100

hwloc (2.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Feb 2026 20:27:14 +0100
